commit:     7bb1d0831b096405e49b898c704ecca48f57b1f0
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 19 07:32:58 2018 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Fri Jan 19 07:44:35 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7bb1d083

sci-calculators/pcalc: version bump to 4

 sci-calculators/pcalc/Manifest       |  1 +
 sci-calculators/pcalc/pcalc-4.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/sci-calculators/pcalc/Manifest b/sci-calculators/pcalc/Manifest
index 80151b8402a..03b7861110e 100644
--- a/sci-calculators/pcalc/Manifest
+++ b/sci-calculators/pcalc/Manifest
@@ -1 +1,2 @@
 DIST pcalc-3.tar.xz 66908 BLAKE2B 
40473405f564d5dc5fd43f6f7fc4a80d41d7c9b09f8f6915408313aa45ecaa860b27debe0131fa0450b9b62a7ed4157bc433c7866910211551c6b159113cecc3
 SHA512 
55b6644300a8eb5224df5a0885907c10847df7ab6296d012eb2bb638876687ddbe23d5b76e31ac6ff4c159e44940d5cf6ba747f2a410943fdc25c9d9855fd60e
+DIST pcalc-4.tar.xz 68948 BLAKE2B 
f7d17e3ebf76aeccd9b7c74fe6ecfa7de94d8450d302e3b094b57f4050e0be2448887ea131496ab00ee140d0a44b0dd8d5b5564feb8fdc47d2fbbe5010af73d9
 SHA512 
6492ca89c5f60549f9388d8b7edad21c1c912feea0ee1a1271d730a63832c3b562b1a6bc9f69a0bd3118407906646c8d8fbed6c6d9a62db6a6bbde22579c1fd0

diff --git a/sci-calculators/pcalc/pcalc-4.ebuild 
b/sci-calculators/pcalc/pcalc-4.ebuild
new file mode 100644
index 00000000000..0b083d62120
--- /dev/null
+++ b/sci-calculators/pcalc/pcalc-4.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit toolchain-funcs
+
+DESCRIPTION="the programmers calculator"
+HOMEPAGE="https://github.com/vapier/pcalc";
+SRC_URI="mirror://sourceforge/pcalc/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="sys-devel/flex"
+RDEPEND=""
+
+src_prepare() {
+       default
+       sed -i -e "s:/usr:${EPREFIX}/usr:g" Makefile || die
+}
+
+src_configure() {
+       tc-export CC
+}

Reply via email to